Bug 494954 - Dolphin does not eject USB flash drive
Dolphin does not eject USB flash drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 15:45 EDT by Sergei LITVINENKO
Modified: 2010-06-28 07:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergei LITVINENKO 2009-04-08 15:45:29 EDT
Description of problem:
Dolphin have option some like "safely remove device” (sorry, I have russian locale and can not see how it is named exactly) for USB drive, but it umount volume only (not eject device).

Version-Release number of selected component (if applicable):
kdebase-4.2.2-2.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1. Connect USB drive. (/dev/sdd device is created)
2. Open USB device volume in dolphin (/dev/sdd1 is mounted)
3. RightClick on USB volume in dolphin
4. Choice "safely remove device". As result, volume is umounted, but not ejected.
5. Click on USB storage device icon again. Device is mounted.
6. Close dolphin
6. Go to the console or terminal
7. run `eject /dev/sdd`
8. Device is ejected and is not accessible in system - OK to remove.

Actual results:
After "safely remove device" USB storage device is umounted, but is not ejected.

Expected results:
After "safely remove device" USB storage device is umounted and is ejected.

Additional info:
As I know, the same problem there is in Fedora-10 too.
Umount option is very usefull, but eject is more important, as umount.
Comment 1 Rex Dieter 2009-04-08 16:27:59 EDT
Umm.. curious... how do expect a computer to eject a usb flash drive?
Comment 2 Rex Dieter 2009-04-08 16:28:31 EDT
I mention this, because in some cases, for removable media, that makes sense, like cd's or dvd's.
Comment 3 Sergei LITVINENKO 2009-04-09 13:47:16 EDT
There are recommended steps to unplug USB storage devices.

http://elliotli.blogspot.com/2009/01/safely-remove-usb-hard-drive-in-linux.html

[quote]
I always follow the manufacturer's manual or specification whenever it make sense and possible because I know electronic devices are fragile, rigid and obtuse if you don't use them as the way they are designed
[/quote]
Comment 4 Rex Dieter 2009-04-09 14:05:23 EDT
afaict, usb flash drives and usb hard drives are very different things.

For the latter, it makes a lot of sense.  

IMO, this is something that needs to be handled at a lower level though, like hal or DeviceKit.
Comment 5 Steven M. Parrish 2009-05-26 14:30:32 EDT
Going to reassign this to DeviceKit.
Comment 6 Kevin Kofler 2009-05-26 15:11:19 EDT
KDE/Solid/Dolphin still uses HAL, not DeviceKit.
Comment 7 Bug Zapper 2009-06-09 09:30:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 09:34:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:45:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.